%define Werror_cflags %nil

# comment pre if not prerelease
%define pre	b2
%define rel	1

%define oname	DVDStyler

Name: 	 	dvdstyler
Summary: 	DVD authoring application
Version: 	2.1
Release: 	%mkrel %{?pre:0.%pre.}%{rel}
Source0:	http://downloads.sourceforge.net/%{name}/%{oname}-%{version}%{?pre:%pre}.tar.bz2
Patch0:		DVDStyler-2.1b2-ffmpeg0.8.patch
Patch1:		DVDStyler-2.1b2-linkage.patch
URL:		http://dvdstyler.sourceforge.net/
License:	GPLv2+
Group:		Video
BuildRequires:	wxgtku-devel
BuildRequires:	wxsvg-devel >= 1.1.5
BuildRequires:	xmlto
BuildRequires:	zip
BuildRequires:	cdrkit-genisoimage
BuildRequires:	dvd+rw-tools
BuildRequires:	dvdauthor >= 0.7.0
BuildRequires:	imagemagick
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(libgnomeui-2.0)
BuildRequires:	pkgconfig(libexif)
BuildRequires:	pkgconfig(libudev)
Requires:	dvdauthor
Requires:	mjpegtools
Requires:	dvd+rw-tools
Requires:	mkisofs
Requires:	dvdisaster

%description
DVDstyler is a DVD authoring program. The main DVDStyler features are:
    * you can drag and drop MPEG files directly
    * you can import image file for background
    * you can create NTSC/PAL menu
    * you can place text and images anywhere on the menu screen
    * you can change font/color
    * you can put basic text buttons, change font/color and background color
    * you can set chapters for each movie
    * you can change post command for each movie

%prep
%setup -q -n %{oname}-%{version}%{?pre:%pre}
%apply_patches

#fix desktop file
sed -i -e 's,%{name}.png,%{name},g' data/dvdstyler.desktop

%build
%configure2_5x \
	--with-wx-config=%{_bindir}/wx-config-unicode
%make
										
%install
rm -rf %{buildroot}
%makeinstall_std
rm -fr %{buildroot}/%{_docdir}

desktop-file-install --vendor='' \
	--dir=%{buildroot}%{_datadir}/applications \
	--remove-category='Application' \
	--add-category='Video;AudioVideoEditing' \
	%{buildroot}%{_datadir}/applications/*.desktop

mkdir -p %{buildroot}/%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
convert -size 48x48 src/rc/%{name}.png %{buildroot}/%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -size 32x32 src/rc/%{name}.png %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -size 16x16 src/rc/%{name}.png %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/%{name}.png

#remove duplicate files
rm -fr %{buildroot}/%{_libdir}/share/doc/dvdstyler/

%find_lang %{name}

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog

* Wed Dec 14 2011 wally <wally> 2.1-0.b2.1.mga2
+ Revision: 181622
- imported package dvdstyler

